Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.travelingtournament.domain
Class TravelingTournament

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.travelingtournament.domain.TravelingTournament

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>, Solution<HardSoftScore>

    public class TravelingTournament

extends AbstractPersistable
implements Solution<HardSoftScore>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`TravelingTournament()`

Method Summary
`boolean` | `equals(Object o)`
`List<Day>` | `getDayList()`
`List<Match>` | `getMatchList()`
`int` | `getN()`
`Collection<? extends Object>` | `getProblemFacts()` Called by the `DroolsScoreDirector` when the `Solution` needs to be inserted into an empty `KieSession`.
`HardSoftScore` | `getScore()` Returns the Score of this Solution.
`List<Team>` | `getTeamList()`
`int` | `hashCode()`
`void` | `setDayList(List<Day> dayList)`
`void` | `setMatchList(List<Match> matchSets)`
`void` | `setScore(HardSoftScore score)` Called by the `Solver` when the Score of this Solution has been calculated.
`void` | `setTeamList(List<Team> teamList)`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TravelingTournament

    public TravelingTournament()

Method Detail

### getDayList

    public List<Day> getDayList()

### setDayList

    public void setDayList(List<Day> dayList)

### getTeamList

    public List<Team> getTeamList()

### setTeamList

    public void setTeamList(List<Team> teamList)

### getMatchList

    public List<Match> getMatchList()

### setMatchList

    public void setMatchList(List<Match> matchSets)

### getScore

    public HardSoftScore getScore()

  Description copied from interface: `Solution`
  Returns the Score of this Solution.

  Specified by:
    `getScore` in interface `Solution<HardSoftScore>`
  Returns:
    null if the Solution is uninitialized or the last calculated Score is dirty the new Score has not yet been recalculated

### setScore

    public void setScore(HardSoftScore score)

  Description copied from interface: `Solution`
  Called by the `Solver` when the Score of this Solution has been calculated.

  Specified by:
    `setScore` in interface `Solution<HardSoftScore>`
  Parameters:
    `score` - null if the Solution has changed and the new Score has not yet been recalculated

### getN

    public int getN()

### getProblemFacts

    public Collection<? extends Object> getProblemFacts()

  Description copied from interface: `Solution`
  Called by the `DroolsScoreDirector` when the `Solution` needs to be inserted into an empty `KieSession`. These facts can be used by the score rules. They don't change during planning (except through `ProblemFactChange` events).

  Do not include the planning entities as problem facts: they are automatically inserted into the `KieSession` if and only if they are initialized. When they are initialized later, they are also automatically inserted.

  Specified by:
    `getProblemFacts` in interface `Solution<HardSoftScore>`
  Returns:
    never null (although an empty collection is allowed), all the facts of this solution except for the planning entities

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.